Page MenuHomePhabricator

Propose "Labels" (tags that anyone can create) implementation for Phabricator
Closed, DeclinedPublic

Description

Labels in JIRA are an extremely flexible text field where multiple strings can be used across all tasks and projects. They can be created or removed by any user. They are also searchable with states similar to the typeaheads in the "project field" in phabricator: "in", "not in", "in any"...

This task is to write detailed acceptance criteria for this data field.

some external references
https://confluence.atlassian.com/display/DOC/Add,+Remove+and+Search+for+Labels
https://confluence.atlassian.com/display/JIRACLOUD/Labeling+an+Issue
https://confluence.atlassian.com/display/JIRAKB/How+to+Delete+Labels+in+JIRA

Event Timeline

DStrine created this task.Jul 10 2015, 6:11 PM
DStrine claimed this task.
DStrine raised the priority of this task from to Needs Triage.
DStrine updated the task description. (Show Details)
DStrine added projects: Epic, Team-Practices.
DStrine added subscribers: Aklapper, DStrine.
JAufrecht triaged this task as Low priority.Jul 15 2015, 9:36 PM
JAufrecht moved this task from To Triage to General backlog on the Team-Practices board.
JAufrecht set Security to None.

I don't see a description of a problem here, plus the difference to projects in Phabricator (and why they are not sufficient). Could you elaborate please?

This sounds like 'tag' projects to me. The only difference is that we have artificially limited creation of tags by requiring users follow a procedure to create projects.

Just wondering also if this is actually an Epic, or meant to just be part of the the Epic it "blocks."

@DStrine: Could you please provide a problem description, plus explain how this is different from existing project tags?

@Aklapper: The major difference is that we have imposed an artificial restriction on creation of project tags. I believe the whole project creation process is unnecessary friction. The entire point of "tags" is that they are free-form and anyone can arbitrarily invent new ones. I believe that we should consider lifting the project-creation restrictions for the tag type projects (e.g. TestMe, good first task, etc.) since we have already approved a ton of niche or team-specific tags, obviously we aren't preventing a proliferation of projects, we're just making it more difficult for teams to define the tags they intend to use.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:01 PM

T139210#2472338 makes me tempted to decline this very task T105539.....

T139210#2472338 makes me tempted to decline this very task T105539.....

That still doesn't remove the restriction on tags..

Aklapper renamed this task from Propose "Labels" implementation for Phabricator to Propose "Labels" (tags that anyone can create) implementation for Phabricator.Jul 4 2019, 10:33 PM
Aklapper lowered the priority of this task from Low to Lowest.

I'd like to see specific real use case examples here. @DStrine: Do you still work on this?

Aklapper closed this task as Declined.Jul 27 2019, 9:09 PM

I'd like to see specific real use case examples here. @DStrine: Do you still work on this?

Unfortunately closing this report as no further information has been provided.

@DStrine: After you have provided the information asked for and if this still happens, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!